post
https://us.am.identity.api.liveramp.com/batch/lookup
The API supports passing up to 1000 envelopes in the same batch call. This can be done by making a POST call to https://us.identity.api.liveramp.com/batch/lookup and passing in a series of URL strings that are structured like single transaction calls ("/people/envelope/?key={envelope value}"):
[
"/people/envelope/?key=AUGGsYEKVWxnDsHU6b65TfdHEmC0vY51YrJhxTTRtB54A5dTzdrLIQ",
"/people/envelope/?key=AUGFOIZ5kDgv1weSzQ7NXo8sOMraa4ORJJONSoutNa3jb65Rgmj7aE",
. . .
]The response should look like:
{
"person": {
"anonymousAbilitec": {
"anonymousConsumerLink": "XiT001sgRRky74xZ6NrpSsF6z2ucg6TeV8rISolIhOMe-R94lh47QP2xuVITxFm6otlyrB"
}
}
}{
"person": {
"anonymousAbilitec": {
"anonymousConsumerLink": "XiT001xuVITx94lh47QP2xuVITxFmyrBF6z2ucg6TeV8rIe-R94lh47Qh47QP2xrIhz2u"
}
}
}
Pseudonymous IdentifierIn the context of the RampID API, references to "anonymousAbilitec" indicate resolving to people-based pseudonymous online identifiers. For more information, see "RampID Methodology" in the Identity documentation.
